log using Frisk_HitRates.log

use "LAPDSearchEnhanced.dta", clear

drop if OFFICER_TYPE == "gang"
drop if RD_NBR ==1494
drop if RD_NBR ==.
drop if AREA ==""
replace RACE = "other" if RACE == "amerindian"
replace RACE = "other" if RACE == "asian"

drop if INCID_TO_ARST
drop if IMPND

sort SERIAL_NUMBER
gen serialid = [_n]

by SERIAL_NUMBER: replace serialid = serialid[_n-1] if _n>1

char AREA[omit] "07"
char RACE[omit] "white"
char OFFICER_RACE[omit] "off_white"
char STOP_REASON[omit] "moving"
char OFFICER_TYPE[omit] "patrol"
char AGE_RNG[omit] "26-35"

//FRISK_DUM
//SRCH_ASK
//NON_CONSENT_SEARCH
keep if FRISK_DUM== 1

xi i.RACE*i.AREA i.RACE*i.OFFICER_RACE i.STOP_REASON i.OFFICER_TYPE i.AGE_RNG
logit WPN /*
*/ _IRACE* _IAREA*  /*	
*/ _IOFFICER_T*			/*
*/ WEEKEND_DUM /*
*/ NIGHT_DUM /*
*/ INCIVIL /*
*/ VIOLENT /*
*/ PERCENT_24UNDER /*
*/ PERCENT_OWNER /*
*/ PERCENT_SINGLEPARENT /*
*/ PERCENT_DIVORCED /*
*/ PERCENT_UNEMPLOYED /*
*/ PERCENT_POVERTY /*
*/ VIOLENT_RATE /*
*/ PROPERTY_RATE /*
*/ ACCOUNTS /*
*/ RETAIL_ACCOUNTS  /*
*/ GANG_STOPS /*
*/ PEDESTRIAN_DUM /*
*/ PASSENGER_DUM /*
*/ GROUP /*
*/ , vce(robust)

logit WPN /*
*/ _IRACE* _IAREA*  /*	
*/ _IOFFICER_T*			/*
*/ WEEKEND_DUM /*
*/ NIGHT_DUM /*
*/ PEDESTRIAN_DUM /*
*/ PASSENGER_DUM /*
*/ GROUP /*
*/ , vce(robust)

logit WPN /*
*/ _IRACE* /*
*/ , vce(robust)

xi i.RACE*i.AREA i.RACE*i.OFFICER_RACE i.STOP_REASON i.OFFICER_TYPE i.AGE_RNG
logit DRUG /*
*/ _IRACE* _IAREA*  /*	
*/ _IOFFICER_T*			/*
*/ WEEKEND_DUM /*
*/ NIGHT_DUM /*
*/ INCIVIL /*
*/ VIOLENT /*
*/ PERCENT_24UNDER /*
*/ PERCENT_OWNER /*
*/ PERCENT_SINGLEPARENT /*
*/ PERCENT_DIVORCED /*
*/ PERCENT_UNEMPLOYED /*
*/ PERCENT_POVERTY /*
*/ VIOLENT_RATE /*
*/ PROPERTY_RATE /*
*/ ACCOUNTS /*
*/ RETAIL_ACCOUNTS  /*
*/ GANG_STOPS /*
*/ PEDESTRIAN_DUM /*
*/ PASSENGER_DUM /*
*/ GROUP /*
*/ , vce(robust)

logit DRUG /*
*/ _IRACE* _IAREA*  /*	
*/ _IOFFICER_T*			/*
*/ WEEKEND_DUM /*
*/ NIGHT_DUM /*
*/ PEDESTRIAN_DUM /*
*/ PASSENGER_DUM /*
*/ GROUP /*
*/ , vce(robust)

logit DRUG /*
*/ _IRACE* /*
*/ , vce(robust)

xi i.RACE*i.AREA i.RACE*i.OFFICER_RACE i.STOP_REASON i.OFFICER_TYPE i.AGE_RNG
logit AnythingElse /*
*/ _IRACE* _IAREA*  /*	
*/ _IOFFICER_T*			/*
*/ WEEKEND_DUM /*
*/ NIGHT_DUM /*
*/ INCIVIL /*
*/ VIOLENT /*
*/ PERCENT_24UNDER /*
*/ PERCENT_OWNER /*
*/ PERCENT_SINGLEPARENT /*
*/ PERCENT_DIVORCED /*
*/ PERCENT_UNEMPLOYED /*
*/ PERCENT_POVERTY /*
*/ VIOLENT_RATE /*
*/ PROPERTY_RATE /*
*/ ACCOUNTS /*
*/ RETAIL_ACCOUNTS  /*
*/ GANG_STOPS /*
*/ PEDESTRIAN_DUM /*
*/ PASSENGER_DUM /*
*/ GROUP /*
*/ , vce(robust)

logit AnythingElse /*
*/ _IRACE* _IAREA*  /*	
*/ _IOFFICER_T*			/*
*/ WEEKEND_DUM /*
*/ NIGHT_DUM /*
*/ PEDESTRIAN_DUM /*
*/ PASSENGER_DUM /*
*/ GROUP /*
*/ , vce(robust)

logit AnythingElse /*
*/ _IRACE* /*
*/ , vce(robust)
//END